Name:		perl-Finance-Quote
Version:        1.20
Release: 	2%{?dist}
Summary:        A Perl module that retrieves stock and mutual fund quotes
Group:          Development/Libraries
License:        GPLv2+
URL:		http://finance-quote.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/finance-quote/Finance-Quote-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
# because it doesn't get automatically added (#859607)
Requires:       perl(LWP::Protocol::https)
BuildRequires:  perl(inc::Module::Install)
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(CGI)
BuildRequires:	perl(Crypt::SSLeay)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Date::Calc)
BuildRequires:  perl(Encode)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(HTML::Parser)
BuildRequires:	perl(HTML::TableExtract)
BuildRequires:  perl(HTML::TreeBuilder)
BuildRequires:  perl(HTTP::Headers)
BuildRequires:  perl(LWP::Protocol::https)
BuildRequires:  perl(HTTP::Request::Common)
BuildRequires:  perl(HTTP::Status)
BuildRequires:  perl(JSON)
BuildRequires:  perl(LWP::Simple)
BuildRequires:	perl(LWP::UserAgent)
BuildRequires:  perl(Mozilla::CA)
BuildRequires:  perl(URI)
BuildRequires:  perl(URI::QueryParam)
# Tests
# Required for compile tests; no 'online' tests are run during the build
BuildRequires:  perl(File::Spec)
BuildRequires:	perl(Test::More)

%description
This module retrieves stock and mutual fund quotes from various exchanges
using various source.

%prep
%setup -q -n Finance-Quote-%{version} 
find . -name *.pm | xargs %{__sed} -i -e '/^#!.*\/usr\/bin\/perl/d'

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog* Documentation/*
%{perl_vendorlib}/Finance/
%{_mandir}/man3/*.3*

%changelog
* Tue Feb 18 2014 Bill Nottingham <notting@redhat.com> - 1.20-2
- add missing https requires (#859607)

* Mon Feb 17 2014 Bill Nottingham <notting@redhat.com> - 1.20-1
- update to 1.20

* Sun Aug 04 2013 Petr Pisar <ppisar@redhat.com> - 1.17-13
- Perl 5.18 rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.17-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.17-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.17-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 25 2012 Petr Pisar <ppisar@redhat.com> - 1.17-9
- Perl 5.16 rebuild
- Specify all dependencies

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.17-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 1.17-7
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.17-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 12 2011 Bill Nottingham <notting@redhat.com> - 1.17-5
- fix TIAA-CREF (#668935, <amessina@messinet.com>)

* Mon Dec 06 2010 Bill Nottingham <notting@redhat.com> - 1.17-4
- fix buildrequires for F-15

* Sat May 01 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.17-3
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.17-2
- rebuild against perl 5.10.1

* Mon Nov 23 2009 Bradley Baetz <bbaetz@gmail.com> - 1.17-1
- Update to 1.17
- Add extra BuildRequires needed for tests to pass

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.13-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.13-2
Rebuild for new perl

* Wed Sep 26 2007 Bill Nottingham <notting@redhat.com>
- add perl(ExtUtils::MakeMaker) buildreq

* Tue Sep 18 2007 Bill Nottingham <notting@redhat.com>
- fix source download URL

* Fri Aug  3 2007 Bill Nottingham <notting@redhat.com>
- tweak license tag

* Mon Jan  8 2007 Bill Nottingham <notting@redhat.com> - 1.13-1
- update to 1.13

* Thu Sep 14 2006 Bill Nottingham <notting@redhat.com> - 1.11-4
- bump for rebuild

* Mon Apr 10 2006 Bill Nottingham <notting@redhat.com> - 1.11-3
- add buildreq for perl-HTML-TableExtract
- clean up sed

* Mon Apr 10 2006 Bill Nottingham <notting@redhat.com> - 1.11-2
- clean up spec file

* Fri Apr  7 2006 Bill Nottingham <notting@redhat.com> - 1.11-1
- initial packaging
